\#
\# Copyright (C) 2015 Canonical Ltd.
\#
\# This program is free software: you can redistribute it and/or modify
\# it under the terms of the GNU General Public License version 3 as
\# published by the Free Software Foundation.
\#
\# This program is distributed in the hope that it will be useful,
\# but WITHOUT ANY WARRANTY; without even the implied warranty of
\# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
\# GNU General Public License for more details.
\#
\# You should have received a copy of the GNU General Public License
\# along with this program.  If not, see <http://www.gnu.org/licenses/>.
\#
\# Authored by: Michi Henning <michi.henning@canonical.com>
\#

.TH thumbnailer\-service 1 "Jan 2025" "Version 3.0.4" "Linux User's Manual"

.SH NAME
thumbnailer\-service \- Thumbnailer service

.SH SYNOPSIS
.B thumbnailer\-service
.br

.SH DESCRIPTION
The \fBthumbnailer\-service\fP program provides a DBus service for creating
thumbnail images from local media files (photos, audio, and video files), as well
as album cover artwork and artist images for many musicians and bands.

Original images and scaled thumbnails are cached on disk, so requests for
a thumbnail for a previously retrieved image (whether in the same size
or a different size) are delivered as efficiently as possible.

The service is fast and scalable, and it guarantees the integrity of on\-disk
data structures even in the face of a crash or power loss.

The service is activated on demand by DBus and, by default, shuts down after
30 seconds of idle time.

The service connects to the DBus session bus as \fBcom.lomiri.Thumbnailer\fP.
The interface to retrieve thumbnails is provided at the path \fB/com/lomiri/Thumbnailer\fP,
and the administrative interface (see \fBlomiri\-thumbnailer\-admin\fP(1)) is provided
at the path \fB/com/lomiri/ThumbnailerAdmin\fP.

.SH CONFIGURATION
The service uses \fBdconf\fP(7) for its configuration. See \fBthumbnailer\-settings\fP(5)
for details.

.SH ENVIRONMENT
The service reads the following environment variables:
.TP
.B THUMBNAILER_UTIL_DIR
The directory in which to look for the \fBvs\-thumb\fP executable, which is used
to extract images from streaming media. If not set, the program is expected to be in
\fB/usr/lib/\fP\fI<arch>\fP\fB/thumbnailer\fP.
.TP
.B THUMBNAILER_MAX_IDLE
The service exits once it has been idle for the number of milliseconds specified by this variable. If not set,
a default value of 30000 is assumed.
.TP
.B THUMBNAILER_UBUNTU_SERVER_URL
This variable overrides the URI of the remote image server. If not set, the default URI
\fBhttps://dash.ubuntu.com\fP is used.
.TP
.B THUMBNAILER_LOG_LEVEL
This variable overrides the value of the \fBlog\-level\fP setting.
.TP
.B XDG_CACHE_HOME
This variable determines the location of the on\-disk caches. Caches are written to subdirectories of
\fB$XDG_CACHE_HOME/lomiri\-thumbnailer\fP. If \fBXDG_CACHE_HOME\fP is not set, \fB$HOME/.cache/lomiri\-thumbnailer\fP
is used. If \fB$HOME\fP is also not set, the home directory is determined by its setting in \fB/etc/passwd\fP
and \fIhome\-dir\fB/.cache/lomiri\-thumbnailer\fR is used.

.SH "SEE ALSO"
.B lomiri\-thumbnailer\-admin\fR(1)\fP, thumbnailer\-settings\fR(5)\fP, dconf\fR(7)\fP, gsettings\fR(1)\fP
